@echo off

if "%CJ_HOME%" == "" goto :HOME_NOT_SET
if "%*" == "" goto :INVALID_FORMAT

if not exist tmp (
	mkdir tmp
)

java -cp "%CJ_HOME%\componentj.jar" main.CJCompiler -d tmp %*
javac -cp "%CJ_HOME%\componentj_runtime.jar" tmp\*.java
goto :END

:INVALID_FORMAT
echo.
echo format: cjc [-skels] FILE...
goto :END

:HOME_NOT_SET
echo.
echo Environment variable 'CJ_HOME' is not defined.
echo Please set it to the directory where 'componentj.jar' is located.
goto :END

:END